@import url('https://fonts.googleapis.com/css2?family=Lobster+Two:ital@1&family=Open+Sans:ital,wght@0,400;0,700;1,400&family=Righteous&display=swap');

*,
*::before,
*::after {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

:root {
    /* colors */
    --light-green: 175, 100%, 34%;
    --input-green: 175, 100%, 44%;
    --dark-green: 175, 100%, 24%;
    --roseish: 355, 17%, 70%;
    --dark: 355, 14%, 30%;
    --off-white: 0, 0%, 90%;
    --brownish: 22, 64%, 27%;
    --pure-white: 0, 0%, 100%;
    --pure-black: 0, 0%, 0%;
    --silver: 120, 2%, 88%;
    --logo-red: 357,54%,45%;
    --blackish: 0, 0%, 16%;
    --cultured-white: 0, 0%, 96%;
    --tangerine: 23, 90%, 68%;
    --dark-tangerine: 23, 90%, 58%;
    --steel-teal: 187,29%,44%;
    --red: 357,57%,55%;
}

/* html {
  scroll-behavior: smooth;
  scroll-snap-type: y proximity;
  scroll-snap-stop: ;
} */

body {
    /* max-width: 1280px; */
    background-image: url("../images/letterlogo6.svg");
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-position: center;
    background-size: 40%;
    background-color: hsl(var(--pure-black));
    font-family: 'Open Sans' sans-serif;
    position: relative;
    /* scroll-behavior: smooth; */
    /* scroll-snap-type: y proximity; */
    /* overflow-y: scroll */
}

.navbar {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 4rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: black;
  z-index: 9999;
}

.logo-area {
  height: 100%;
  padding: .5rem 1rem;
  display: flex;
  align-items:center;
  cursor: pointer;
}

.logo-img {
  height: 100%;
}

.logo-text {
  font-family: 'Righteous', sans-serif;
  letter-spacing: 2ch;
  font-size: .8rem;
  color: hsl(var(--silver));
  border-left: 1px solid hsl(var(--red));
  margin-left: .5rem;
  padding-left: .75rem;
} 

.menu {
 display: block;
 width: 70%;
 padding-inline: 10% 5%;
}

.menu ul {
  list-style: none;
  display: flex;
  justify-content: space-around;
  align-items: center;
}

.menu ul li {
  width: 100%;
  padding: 0.3rem 1rem;;
}

.menu li a {
  color: hsl(var(--off-white));
  text-decoration: none;
  font-family: 'Open Sans', sans-serif;
  font-size: 1.1rem;
  display: inline-block;
  position: relative;
  padding-block: 1rem;
}

.menu li a:hover {
    color: hsl(var(--tangerine));
}

.menu li a::after {
    content: '';
    position: absolute;
    width: 100%;
    height: 2px;
    background-color: hsl(var(--tangerine));
    bottom: .4rem;
    left: 0;
    transform: scaleX(0);
    transition: transform 0.3s ease-in-out;
}

.menu li a:hover::after {
    color: hsl(var(--tangerine));
    transform-origin: center;
    transform: scaleX(1);
}

.toggle-button {
  position: absolute;
  top: 1.1rem;
  right: 2rem;
  width: 2rem;
  height: 1.5rem;
  background: black;
  display: none;
  flex-direction: column;
  justify-content: space-between;
  border-radius: 10px;
}

.bar1,
.bar2,
.bar3 {
  width: 100%;
  height: 3px;
  background-color: silver;
  transition: transform 1s, opacity .8s;
}


.section-scroll {
  scroll-snap-align: none;
}

@media screen and (min-width: 800px) {
  .section-scroll {
    scroll-snap-align: start;
  }
}

/* Landing Page Area */

.hero {
    height: 100vh;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.72);
    position: relative;
    top: 0;
    display: flex;
    justify-content: center;
    align-items: center;    
    animation: bg-fade-in 3.5s;
}

/* @media screen and (min-width: 800px) {
  .hero {
    scroll-snap-align: start;
  }
} */

.hero-title {
    color: #e2e2e2;
    position: absolute;
}

.hero-title h1 {
    font-family: 'Lobster Two', cursive;
    font-size: 5rem;
    margin-bottom: 1.5rem;
    text-align: center;
    animation: title-fade 5s;
}

.hero-title h2 {
    font-family: 'Open Sans', sans-serif;
    font-size: 1.25rem;
    text-align: center;
    margin-bottom: 1.5rem;
    animation: title-fade 8s;
}

.btn-get-started {
    position: absolute;
    font-size: 2.25rem;
    display: inline-block;
    padding: 10px 0;
    border-radius: 50px;
    transition: 0.35s ease-in-out;
    margin: 50px 10px;
    width: 64px;
    height: 64px;
    text-align: center;
    border: 2px solid #e2e2e2;
    left: 50%;
    transform: translateX(-50%);
    color: #e2e2e2;
    background: linear-gradient(rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0) 50%, rgba(255, 255, 255, 0.5) 50%);
    background-size: 200% 200%;
    background-position: top;
    overflow: visible;
    animation: title-fade 5s, up-down 2.5s ease-in-out infinite;
}

.animated-arrow {
  fill: #e2e2e2
}

.btn-get-started:hover,
.btn-get-started:focus {
    background-position: bottom;
    color: hsl(var(--blackish));
    border: 2px solid hsl(var(--tangerine));
}

.btn-get-started:hover > .animated-arrow,
.btn-get-started:focus > .animated-arrow {
  fill: hsl(var(--tangerine));
}


/*         About section          */



.about-section {
  background-color: #e2e2e2;
  width: 100%;
  min-height: 100vh;
  padding: 4rem 2rem 2rem 2rem;
}

.about-wrapper {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.section-title {
  font-family: "Lobster Two", cursive;
  font-size: 3rem;
  text-align: center;
  color: hsl(var(--blackish));
  margin-bottom: 3rem;
}

.about-sub {
  width: 100%;
  height: 100%;
}

.section-subtitle {
  background-color: hsl(var(--blackish));
  font-family: "Open Sans", sans-serif;
  padding: 2rem;
  width: 100%;
  color: hsl(var(--dark-tangerine));
}

.section-text {
  margin: 1rem 3rem;
  font-family: "Open Sans", sans-serif;
  font-size: 1.1rem;
  color: hsl(var(--blackish));
  letter-spacing: .025rem;
  text-align: justify;
}

.section-figure {
  width: 80%;
  margin-top: 1.5rem;
}

.section-figure img {
  width: 100%;
}

figcaption {
  text-align: center;
  font-style: italic;
}

@media screen and (min-width: 800px) and (max-width: 900px) {
  .section-text {
    font-size: 1.1rem;
  }
}


@media screen and (min-width: 800px) {


  .about-section {
    display: flex; 
    align-items: center;
    justify-content: center;
    max-width: 1350px;
    margin: auto;
    /* scroll-snap-align: start; */
  }

  .about-wrapper {
    display: grid;
    grid-template-columns: 3fr 2fr;
    grid-template-rows: 2fr 1fr 4fr;
    column-gap: 16px;
    grid-template-areas: 
        "title title"
        "subtitle img"
        "text img";
    align-items: center;
    justify-content: center;
  }

  .section-title {
    grid-area: 1/1/2/2;
    text-align: center;
    margin: .5rem;
  }

  .about-sub {
    width: calc(100% + 2em); 
    height: 100%;
    padding: 0;
    grid-area: 2/1/2/-1;
    background-color: hsl(var(--blackish));
  }

  .section-subtitle {
    grid-area: 2/1/2/2;
    text-align: center;
    font-size: 1.3rem;
  }

  .section-text {
    grid-area: text;
    margin-inline: 1rem;
  }

  .section-figure {
    grid-area: 1/2/-1/-1;
    width: 100%;
    height: 100%;
    position: relative;
    padding: 1rem 1rem 2rem;
  }

  .section-figure img {
    width: 100%;
    height: 100%;
    min-height: 350px;
    object-fit: cover;
  }
}



/*         services section           */

.services-section {
  background-color: rgba(0, 0, 0, 0.72);
  background-image: linear-gradient(rgba(0, 0, 0, 0.85),rgba(0, 0, 0, 0.7),rgba(0, 0, 0, 0.85)) ,url("/images/red-code-md.jpg");
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-position: center;
  background-size: cover;
  width: 100%;
  min-height: 100vh;
  padding: 4rem 2rem 1rem;
  color: hsl(var(--cultured-white));
  position: relative;
}

.services-img {
  max-height: 14em;
  width: 100%;
  object-fit: cover;
  -webkit-mask-image: linear-gradient(to top, transparent 25%, black 75%);
  mask-image: linear-gradient(to top, transparent 25%, black 75%);
}

.services-wrapper {
  width: 100%;
  height: 100%;
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  
}

.services-section-title {
  margin: 0;
  padding:0;
  color: hsl(var(--cultured-white));
  /* flex-shrink: 1; */
  margin-block: 1rem 2rem;
  position: relative;
}

.services-section-title::after {
  content:'';
  position: absolute;
  width: 9rem;
  height: 2px;
  background-color: hsl(var(--tangerine));
  top: 120%;
  left: 50%;
  transform: translateX(-50%);
  margin-bottom: 1em;

}

.service {
  text-align: center;
  font-family: "Open Sans",sans-serif;
  font-size: 1.75rem;
  /* padding-block: 1rem; */
  /* margin-top: 1.5rem; */
}

.service-text {
  padding: 1em 1em;
  font-family: "Open Sans", sans-serif;
  text-align: center;
  font-size: 1.1rem;;

}

.service-icon {
  display: none;
}


@media screen and (min-width: 800px) {
  .services-section {
    min-height: 100vh;
    background-color: rgba(0, 0, 0, 0.72);
    /* scroll-snap-align: start; */
  }

  .services-wrapper {
  height: calc(100% - 14rem);
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: 15%  42% 43%;
  grid-template-areas: 
    "title     title     title"
    "service   service   service";
    gap: 1rem;
    /* row-gap: 2rem; */
  align-items: start;
}

  .service {
    margin-top: .5rem;
  }

  .service-desc {
    padding: 1rem;

  }

  .services-section-title {
    grid-area: 1/1/2/-1;
  }

  .service-icon {
    fill: hsla(var(--dark-tangerine), 0.9);
  }

  .service-text span {
    display: block;
    /* margin: 1rem ; */

  }

}

/*            portfolio section             */

.portfolio-section {
  background-color: hsl(var(--off-white));
  width: 100%;
  min-height: 100vh;
  color: hsl(var(--blackish));
  padding: 4rem 2rem 1rem 2rem;
  display: flex;
  align-items: flex-start;
  justify-content: center;
}

.portfolio-wrapper {
  background-color: hsl(var(--off-white));
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 1.5rem;
  position: relative;
}

.portfolio-title {
  margin: 2rem;
  position: relative;
  color: hsl(var(--blackish))
}

.portfolio-title::after {
  content: '';
  width: 9rem;
  height: 2px;
  background-color: hsl(var(--dark-tangerine));
  position: absolute;
  margin-top: 5rem;
  left: 50%;
  transform: translateX(-50%)
}

.portfolio-wrapper a {
  width:90%;
}

.portfolio-image {
  width: 100%;
  box-shadow: .25rem.25rem 1.5rem .5rem rgba(0, 0, 0, 0.2),
              .15rem.15rem .75rem .25rem rgba(0, 0, 0, 0.2) ;
}


@media screen and (min-width: 800px) {

  .portfolio-section {
    min-height: 100vh;
    
    /* scroll-snap-align: start; */
  }

  .portfolio-wrapper {
    width: 100%;
    height: 100%;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: 8rem 1fr;
    grid-auto-rows: 1fr;
    gap: 1rem;
    grid-template-areas:
      "title  title  title"
      "img1   img2   img3 "
      "img4   img5   img6 "
      ;
    place-items: center;
}

.portfolio-title {
  grid-area: title;
}

.portfolio-wrapper a img {
  width:100%;
  height: 100%;
  object-fit: cover;
}

}


/*        Contact Section               */



.contact-section {
  width: 100%;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: rgba(0, 0, 0, 0.8);

}

/* @media screen and (min-width: 800px) {
  .contact-section {
    scroll-snap-align: start;
  }
} */

.contact-wrapper  {
  margin-top: 4rem;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;

}

.contact-form {
  width: 90%;
  max-width: 600px;
  font-family: "Open Sans", sans-serif;
}

fieldset {
  padding: 2rem;
  border-color: hsla(0, 0%, 82%, .7);
}

legend {
  padding-inline: 1.5rem;
  font-family: "Open Sans", sans-serif;
  font-size: 1.3rem;
  color: hsl(var(--off-white));
}

.contact-input-group {
  margin-bottom: 2em;
  position: relative;
}

.contact-text-area {
  margin-bottom: 1em;
}

input,
textarea {
  width: 100%;
  padding: .625rem;
  outline: 0;
  border: 1px solid hsla(0, 0%, 82%, .8);
  color: hsl(var(--off-white));
  background: transparent;
  font-size: 1rem;
  font-family: "Open Sans", sans-serif;
  border-radius: 10px;
  line-height: 1.2;
}

label {
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
  padding: 10px;
  color: hsl(var(--off-white));
  cursor: text;
  transition: all .4s;
}

input:focus,
textarea:focus {
  border-color: hsla(var(--tangerine));
}


/* animate placeholder labels */

input:focus ~ label,
input:not(:placeholder-shown) ~ label,
textarea:focus ~ label,
textarea:not(:placeholder-shown) ~ label   {
  top: -35px;
  font-size: .875rem;
  color: hsl(var(--tangerine))
}

/*  Hack to change background color on autofill  */

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
   -webkit-transition-delay: 9999s;
   transition-delay: 9999s;
}

.contact-form-button {
  width: 100%;
  background-color: hsla(var(--dark-tangerine), 0.7);
  color: hsl(var(--cultured-white));
  padding: 1rem;
  border: 1px solid hsla(0, 0%, 82%, .8);
  border-radius: 10px;
  font-family: "Open Sans", sans-serif;
  line-height: 1.2;
  font-size: 1rem;
  cursor: pointer;
}

.contact-form-button:disabled {
  background: hsla(23, 0%, 58%, 0.7);
  border: 1px solid hsla(0, 0%, 82%, .8);
  cursor: not-allowed;
}



.contact-form-submitted-button {
  position: absolute;
  background-color: hsla(var(--tangerine), 0.7);
  color: hsl(var(--cultured-white));
  padding: 1rem 3rem;
  border-radius: 10px;
  font-family: "Open Sans", sans-serif;
  line-height: 1.2;
  font-size: 1rem;
  margin-top: 3rem;
  left: 50%;
  transform: translateX(-50%);
}

.g-recaptcha {
  margin-bottom: 1em;
  border-radius: 10px;
}

/*             Footer Section                 */

.footer {
  background-color: hsla(var(--blackish), 0.95);
  color: hsla(var(--tangerine));
  font-family: 'Open Sans', sans-serif;
  font-size: .9rem;
  padding: 1rem;
  width: 100%;
  display: grid;
  grid-template-columns: .4fr 1fr 1fr;
  gap: 1rem;
}

.footer .logo-area {
  position: relative;
  flex-direction: column;
  justify-content: space-between;
}

.footer-logo-wrapper {
  margin-top: 1.75rem;
  display: flex;
  align-items: center;
}

.footer-logo-img {
  height: 4rem;
}

.footer-logo-text {
  font-family: 'Righteous', sans-serif;
  letter-spacing: 2ch;
  font-size: .8rem;
  color: hsl(var(--silver));
  border-left: 1px solid hsl(var(--red));
  margin-left: .5rem;
  padding-left: .75rem;
} 

.footer-quick-links,
.footer-about-info {
  display: flex;
  flex-direction: column;
  align-items: center;
  font-size: .8rem;
}

.footer-quick-links ul,
.footer-about-info ul {
  color: hsl(var(--tangerine));
  list-style: none;
}


.footer-quick-links a,
.footer-about-info a {
  text-decoration: none;
  color: hsl(var(--tangerine));
  padding-bottom: .5rem;
}

.footer-address-second-line {
  margin-left: 1.5rem;
}

.footer-quick-links h4,
.footer-about-wrapper h4 {
  margin-bottom: 1rem;
  position: relative;
  padding-inline: 1rem
}

.footer-quick-links h4::after {
  content: '';
  position: absolute;
  background-color: currentColor;
  bottom: -6px;
  left: 0;
  height: 1px;
  width: 100%;
}

.footer-about-wrapper h4::after {
  content: '';
  position: absolute;
  background-color: currentColor;
  bottom: -6px;
  left: 0;
  height: 1px;
  width: 80%;
}


.footer-p2 {
  margin-block: 1rem;
}



.footer-about-wrapper span {
  padding: 0;
  margin-right: .5rem;
  width: 100%;
}

.footer-about-info ul {
  margin: 1rem;
  display: flex;
  text-align: center;
}

.footer-about-info a {
  padding: 1rem;
  font-size: 1.4rem;
  text-align: center;
}


.footer-p3 a {
  font-size: .9rem;
  padding: 0;
}

.footer-svg {
  fill: hsl(var(--tangerine));
  vertical-align: middle;
}

.footer-social-div {
  display: block;
  width: 100%;
  align-self: flex-end;
}

.footer-social {
  list-style: none;
  display: flex;
  justify-content: space-between;
}

.copyright {
  grid-area: 2/1/2/-1;
  width: calc(100% + 2rem);
  height: calc(100% + 1rem);
  position: relative;
  left: -1rem;
  background-color: black;
  text-align: center;
  padding-top: 1rem;;
}

/*           footer media queries            */

@media screen and (max-width: 768px) {
  .footer {
    grid-template-columns: 1fr;
    grid-template-rows: 1fr 1fr auto;
  gap: 1rem;
  justify-content: center;
  align-items: center;
  }

  .footer .logo-area {
    display: none;
  }

  .footer-about-wrapper {
  text-align: center;
}

.copyright {
  grid-row: 3;
}

}


/*       navbar  Media Qureies            */

@media screen and (max-width: 800px) {
  .menu {
    display: none;
    position: absolute;
    top: 4rem;
    left: 0;
    width: 100%;
    height: 100%;
    padding: 0;
  }

.menu ul {
  list-style: none;
  background-color: #303030;
  height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
}

.menu ul li {
  width: 100%;
  padding: 0;
  text-align: center;
}

.menu li a {
  color: hsl(var(--tangerine));
  text-decoration: none;
  font-family: 'Open Sans', sans-serif;
  font-size: 1.1rem;
  display: block;
  position: relative;
  width: 100%;
  padding: 1rem;
}

.menu li a:hover {
  background-color: #AE4909;
  color: hsl(var(--cultured-white));
}

.menu li a::after,
.menu li a:hover::after {
  display: none;
}

.toggle-button {
  display: flex;
}

.menu.active {
  display:block;
}

.bar1.active {
  transform: translateY(.54rem) rotate(-225deg);
}

.bar2.active {
  opacity: 0;
}

.bar3.active {
  transform: translateY(-.5rem) rotate(225deg);
}

}

/*            Animations          */

@keyframes up-down {
    0% {
        padding-top: 10px;
        font-size: 2.25rem;
    }

    5% {
        padding-top: 24px;
        font-size: 2rem;
    }

    10% {
        padding-top: 14px;
    }

    15% {
        padding-top: 24px;
        font-size: 2rem;
    }

    20% {
        padding-top: 10px;
        font-size: 2.25rem;
    }
}

@keyframes bg-fade-in {
  0% {background-color:rgba(0, 0, 0, .72);}
  15% {background-color:rgba(0, 0, 0, 0.3);}
  30% {background-color:rgba(0, 0, 0, 0.3);}
  /* 70% {background-color:rgba(0, 0, 0, 0.72);} */
  100% {background-color:rgba(0, 0, 0, 0.72);}
  
  /* from {background-color:rgba(0, 0, 0, 1);}
    to {background-color:rgba(0, 0, 0, 0.72);} */
}

@keyframes title-fade {
  0% {opacity: 0;}
  /* 40% {background-color:rgba(0, 0, 0, .72);} */
  20% {opacity: 0;}
  /* 70% {background-color:rgba(0, 0, 0, 0.72);} */
  100% {opacity: 1;}
  
  /* from {background-color:rgba(0, 0, 0, 1);}
    to {background-color:rgba(0, 0, 0, 0.72);} */
}
